Skip to main content
`Ctrl`+`K`

# DMPlexSetInterpolatePreferTensor

Set the flag to prefer tensor order when interpolating a cell

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexSetInterpolatePreferTensor(DM dm, PetscBool preferTensor)

Logically Collective

## Input Parameters

- dm - The `DMPLEX` object

- preferTensor - Flag to prefer tensor order

## Notes

Currently, this just affects triangular prisms,

## See Also

`DMPlexGetInterpolatePreferTensor()`, `DMPLEX`, `DMPlexInterpolate()`, `DMPlexIsInterpolatedCollective()`

## Level

intermediate

## Location

src/dm/impls/plex/plexinterpolate.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages